#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofSetVerticalSync(true);
	ofBackground(255, 255, 255);
	
	switchStart = 0;
	text.loadFont("verdana.ttf", 10);

	rect.posa.x = 0;
	rect.posa.y = 250;
	rect.posb.x = 800;
	rect.posb.y = 200;
	rect.interpolateByPct(0);
	pct= 0;
}

//--------------------------------------------------------------
void testApp::update(){
	
	pct+=0.01f;
	if (pct > 1) pct = 0;
	rect.interpolateByPct(pct);
}

//--------------------------------------------------------------
void testApp::draw(){
	rect.draw();
	
	ofSetColor(0, 0, 0);
	text.drawString("from", rect.posa.x, rect.posa.y-20);
	ofCircle(rect.posa.x, rect.posa.y, 3);
	text.drawString("to", rect.posb.x, rect.posb.y-20);
	ofCircle(rect.posb.x, rect.posb.y, 3);
	ofSetColor(255,0,0);
	(switchStart == 2) ? text.drawString("GOING TO", 10, 20) : text.drawString("GOING FROM",10,20); 
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	if(switchStart == 0)
	{
		rect.posa.x = x;
		rect.posa.y = y;
		switchStart = 1;
	}
	else if(switchStart == 1)
	{
		rect.posb.x = x;
		rect.posb.y = y;
		switchStart = 2;
	}
	else 
	{ 
		rect.posa.x = x;
		rect.posa.y = y;
		switchStart = 1;
	}

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

